Bug 444994 - Anaconda crash during package installation
Anaconda crash during package installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-02 12:44 EDT by eric@christensenplace.us
Modified: 2008-08-11 09:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-11 09:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2008-05-02 12:44:56 EDT
Description of problem: Using default values, anaconda crashes while installing
packages.  Package that it crashed on was specspo-15-1.noarch.

Version-Release number of selected component (if applicable): Version in F9=Preview

How reproducible: During installation, accept all default values (with the
exception of adding the LUKS encryption).

Actual results:
Crashes during installation of packages.

Expected results:
Should complete the installation process.

Additional info: Still trying to get the debugging information.  There is an
additional bug that came up when you have a flash drive in the USB port to
gather the debugging information.  It says: Assertion (part -> disk_specific !=
NULL) at dos.c:1423 in function msdos_partition_get_flag() failed.  This has
completely locked the computer up and will not allow me to see the debugging
text behind it.
Comment 1 Jeremy Katz 2008-05-02 12:59:50 EDT
What type of install?  And putting onto a new USB stick is going to have
problems right now from the dialog -- you can just switch to tty2 and grab
/tmp/anaconda.log (bring up the network, scp or manually put it on a usb stick)
Comment 2 eric@christensenplace.us 2008-05-02 13:08:51 EDT
This is an installation of Fedora 9 (Preview) (32-bit version).  I'm in the
process of attempting the installation again so I can grab the information.
Comment 3 eric@christensenplace.us 2008-05-02 13:21:24 EDT
Just did the installation, again, and am still having problems getting the log
off.  It did not crash on the same package as it did last time.  It actually got
Comment 4 Jeremy Katz 2008-05-02 16:23:17 EDT
This makes it sound like read errors off the cd -- if you look at tty4 (or in
/tmp/syslog), do you see read errors off of the drive?
Comment 5 Bug Zapper 2008-05-14 06:32:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Brennan Ashton 2008-06-07 23:44:40 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 eric@christensenplace.us 2008-07-18 16:39:15 EDT
Sorry I forgot to respond to this.  I did not see read errors off of the drive.
 I think this has been fixed but can verify if need be.
Comment 8 Andy Lindeberg 2008-07-22 09:14:27 EDT
If you could verify that this is fixed (either in F9 Final or in a recent
release of rawhide), it would be appreciated.
Comment 9 eric@christensenplace.us 2008-08-10 16:41:00 EDT
Just reinstalled F9 on a box using the latest official release and all worked well.

Note You need to log in before you can comment on or make changes to this bug.